/** @file PCIe3521_LabView.h
 *
 *  @authors S. Beuque, C. Guinot, J. Krauth, N. Reibel, J. Rose, L. Sartory, S. Weber
 *  @date    Creation: 17.01.2013
 *  @date    $LastChangedDate$
 *  @version $LastChangedRevision$
 *
 *  @par DESCRIPTION
 *  xPCIe3521 LabView header file 
 *
 *  @par LICENCE
 *  @verbatim
 *  Copyright (C) 2009 - 2013 ADDI-DATA GmbH
 *
 *  ADDI-DATA GmbH
 *  Airpark Business Center
 *  Airport Boulevard B210
 *  77836 Rheinmnster
 *  Germany
 *  Tel: +49(0)7229/1847-0    |  Fax: +49(0)7229/1847-200
 *  http://www.addi-data-com  |  info@addi-data.com
 *  @endverbatim
 **/

short int __stdcall i_PCIe3521_GetNumberOfBoards(unsigned __int8 *NbrOfBoards);
short int __stdcall i_PCIe3521_GetBoardInformation(unsigned __int8 BoardIndex, unsigned long int IdentifierStringSize, char *Identifier, unsigned long int *UINumber, unsigned long int *DeviceNumber, unsigned long int *BusNumber, unsigned long int *BaseAddress0, unsigned long int *BaseAddress1, unsigned long int *BaseAddress2, unsigned long int *BaseAddress3, unsigned __int8 *Interrupt);
short int __stdcall i_PCIe3521_OpenBoardViaIndex(unsigned __int8 BoardIndex, unsigned long int *DeviceHandle); 
short int __stdcall i_PCIe3521_OpenBoardViaIdentifier(char *Identifier, unsigned long int *DeviceHandle);
short int __stdcall i_PCIe3521_CloseBoard(unsigned long int DeviceHandle);
short int __stdcall i_PCIe3521_GetDLLVersion(unsigned long int *Version);
short int __stdcall i_PCIe3521_GetDeviceDriverVersion(unsigned long int DeviceHandle, unsigned long int *Version);

short int __stdcall i_PCIe3521_SetLabViewInterrupt(unsigned long int DeviceHandle, LVUserEventRef *LabViewEventRef);
short int __stdcall i_PCIe3521_ResetLabViewInterrupt(unsigned long int DeviceHandle);

short int __stdcall i_PCIe3521_Read1DigitalInput(unsigned long int DeviceHandle, unsigned __int8 Channel, unsigned __int8 *Value);
short int __stdcall i_PCIe3521_Read4DigitalInputs(unsigned long int DeviceHandle, unsigned __int8 *Value);
short int __stdcall i_PCIe3521_Set1DigitalOutputOn(unsigned long int DeviceHandle, unsigned __int8 Channel);
short int __stdcall i_PCIe3521_Set1DigitalOutputOff(unsigned long int DeviceHandle, unsigned __int8 Channel);
short int __stdcall i_PCIe3521_Set4DigitalOutputsOn(unsigned long int DeviceHandle, unsigned __int8 Mask);
short int __stdcall i_PCIe3521_Set4DigitalOutputsOff(unsigned long int DeviceHandle, unsigned __int8 Mask);
short int __stdcall i_PCIe3521_SetDigitalOutputMemoryOn(unsigned long int DeviceHandle); 
short int __stdcall i_PCIe3521_SetDigitalOutputMemoryOff(unsigned long int DeviceHandle);
short int __stdcall i_PCIe3521_Get1DigitalOutputStatus(unsigned long int DeviceHandle, unsigned __int8 Channel, unsigned __int8 *OutputsStatus); 
short int __stdcall i_PCIe3521_Get4DigitalOutputsStatus(unsigned long int DeviceHandle, unsigned __int8 *OutputsStatus);

short int __stdcall i_PCIe3521_InitAndStartTimer(unsigned long int DeviceHandle, unsigned __int8 TimerNb, unsigned __int8 Mode, unsigned __int8 TimeBase, unsigned __int8 OutputMode, unsigned __int8 InterruptEnabled, unsigned short int ReloadValue, unsigned __int8 WatchdogEnabled);
short int __stdcall i_PCIe3521_StopTimer(unsigned long int DeviceHandle, unsigned __int8 TimerNb); 
short int __stdcall i_PCIe3521_ReadTimerStatus(unsigned long int DeviceHandle, unsigned __int8 timerNb, unsigned __int8 *TimerStatus, unsigned __int8 *SoftwareTriggerStatus, unsigned short int *TimerValue);
short int __stdcall i_PCIe3521_ReadTimerValue(unsigned long int DeviceHandle, unsigned __int8 TimerNb, unsigned short int *TimerValue);
short int __stdcall i_PCIe3521_TriggerTimer(unsigned long int DeviceHandle, unsigned __int8 TimerNb); 

short int __stdcall i_PCIe3521_SetAnalogInputMode(unsigned long int DeviceHandle, unsigned __int8 InputMode);
short int __stdcall i_PCIe3521_GetAnalogInputMode(unsigned long int DeviceHandle, unsigned __int8 *InputMode); 
short int __stdcall i_PCIe3521_InitAndStartAnalogInputSequence(unsigned long int DeviceHandle, unsigned long int SequenceCount, unsigned long int SequenceBeforeInterrupt, unsigned __int8 ChannelCount, unsigned __int8 *Channel, unsigned __int8 *Gain, unsigned __int8 *Polarity, unsigned long int ConvertingTime, unsigned long int DelayTime, unsigned __int8 SoftTriggerMode, unsigned __int8 ExtTriggerMode, unsigned long int SequenceTriggerCount);
short int __stdcall i_PCIe3521_ReadMoreAnalogInputs(unsigned long int DeviceHandle, unsigned __int8 ChannelCount, unsigned __int8 *Channel, unsigned __int8 *Gain, unsigned __int8 *Polarity, unsigned long int ConvertingTime, unsigned __int8 InterruptFlag, unsigned __int8 SoftTriggerMode, unsigned __int8 ExtTriggerMode, unsigned short int *ChannelValue);
short int __stdcall i_PCIe3521_Read1AnalogInput(unsigned long int DeviceHandle, unsigned __int8 Channel, unsigned __int8 Gain, unsigned __int8 Polarity, unsigned long int ConvertingTime, unsigned __int8 InterruptFlag, unsigned __int8 SoftTriggerMode, unsigned __int8 ExtTriggerMode, unsigned short int *ChannelValue);
short int __stdcall i_PCIe3521_InitAndStartAutoRefreshAcquisition(unsigned long int DeviceHandle, unsigned __int8 ChannelCount, unsigned __int8 *Channel, unsigned __int8 *Gain, unsigned __int8 *Polarity, unsigned long int ConvertingTime, unsigned long int **Channels);
short int __stdcall i_PCIe3521_StopAnalogAcquisition(unsigned long int DeviceHandle); 
short int __stdcall i_PCIe3521_TriggerAnalogAcquisition(unsigned long int DeviceHandle); 
short int __stdcall i_PCIe3521_GetAnalogInputChannelsNbr(unsigned long int DeviceHandle, unsigned __int8 *NumberOfInputChannels); 

short int __stdcall i_PCIe3521_Write1AnalogOutput(unsigned long int DeviceHandle, unsigned __int8 Channel, unsigned __int8 Polarity, unsigned short int Value); 
short int __stdcall i_PCIe3521_WriteMoreAnalogOutputs(unsigned long int DeviceHandle, unsigned __int8 ChannelNbr, unsigned __int8 *Channel, unsigned __int8 *Polarity, unsigned short int *Value); 
long  int __stdcall l_PCIe3521_ReadSequenceData(unsigned long int DeviceHandle, unsigned long int Size, void *Data);
